# syntax=docker/dockerfile:1
# build stage
# FROM node:lts-alpine as builder
# WORKDIR /apkt
# COPY package*.json ./
# RUN npm install && npm install npm-run-all -g
# COPY . .
# RUN npm run build
# # production stage
# FROM nginx:stable-alpine
# COPY --from=builder /apkt/dist /usr/share/nginx/html
# COPY --from=builder /apkt/nginx.conf /etc/nginx/nginx.conf
# EXPOSE 32166
# CMD ["nginx", "-g", "daemon off;"]

FROM nginx:stable-alpine
COPY /dist /usr/share/nginx/html
COPY /nginx.conf /etc/nginx/nginx.conf
EXPOSE 32166
CMD ["nginx", "-g", "daemon off;"]
